import WebInterfaceTestClass

## this user may not be removed
from user_manager import RESERVED_USERS

class unittests(WebInterfaceTestClass.WebInterfaceTestClass):

	def test_read_users(self):
		cur_users = self._getUsers()
		# self.cmd.showforms()


	def _addUser(self, user, password):
		self._gotPage()
		## TODO: finish


	def _gotoPage(self):
		url = self.URL + "user_manager"
		self.register_auth(url)
		self.cmd.go(url)
	

	def _getUsers(self):
		self._gotoPage()
		self.cmd.find("Data.Status.Plugins.user_manager=([\w/]+)")
		return self.locals["__match__"].split("/")
